<?php
//Activamos el almacenamiento en el buffer
ob_start();
if (strlen(session_id()) < 1) 
  session_start();

if (!isset($_SESSION["nombre"]))
{
  echo 'Debe ingresar al sistema correctamente para visualizar el reporte';
}
else
{
if ($_SESSION['compras']==1)
{

//Inlcuímos a la clase PDF_MC_Table
require('PDF_MC_Table_v.php');
 
//Instanciamos la clase para generar el documento pdf
$pdf=new PDF_MC_Table( 'P', 'mm', 'A4' );
 
//Agregamos la primera página al documento pdf
$pdf->AddPage();
 
//Seteamos el inicio del margen superior en 25 pixeles 
$y_axis_initial = 25;
 
//Encabezado principal 
//$pdf->Cell(40,10,date('d/m/Y'),0,1,'L'); 

$pdf->SetFont('Arial','B',16);
//$pdf->Cell(86,6,'111',0,0,'C');
$pdf->Cell(200,6,'Consettur Machupicchu S.A.C.',0,0,'C');
$pdf->Ln(8);

$pdf->SetFont('Arial','B',12);
//$pdf->Cell(86,6,'',0,0,'C');
$pdf->Cell(200,6,'Registro de Compras',0,0,'C'); 
$pdf->Ln(-5);
$pdf->Image('logo.jpg',15,6,22);

$pdf->SetFont('Arial','',6);
$pdf->Cell(345,5, "IMPRESO EL:", 0, 1, "C");
$pdf->Cell(345,0,date('d/m/Y'),0,1,'C'); 
//$pdf->Cell(195,5,'Hora',1,0,'C');
$pdf->Cell(345,4.5,date('h:i:s'),0,1,'C'); 
$pdf->Cell(345,5,'idusuario',0,1,'C');
//$pdf->Cell(205,5,'enumeracion++',1,1,'C'); 
$pdf->Ln(15);




//Seteamos el tipo de letra y creamos el título de la página. No es un encabezado no se repetirá
$pdf->SetFont('Arial','B',13);

//$pdf->Cell(5,1,'',0,0,'C');
$pdf->Cell(200,6,'LISTADO DE ADQUISICIONES',0,0,'C'); 
$pdf->Ln(9);

//Creamos las celdas para los títulos de cada columna y le asignamos un fondo gris y el tipo de letra
$pdf->SetFillColor(236, 191, 7 ); 
$pdf->SetFont('Arial','B',9);
$pdf->Cell(15,6,'R.C.',1,0,'C',1); 
$pdf->Cell(21,6,'FECHA',1,0,'C',1); 
$pdf->Cell(25,6,'DOCUMENTO',1,0,'C',1);
$pdf->Cell(20,6,utf8_decode('NUMERO'),1,0,'C',1);
$pdf->Cell(70,6,'PROVEEDOR',1,0,'C',1);
$pdf->Cell(20,6,'USUARIO',1,0,'C',1);
$pdf->Cell(20,6,'TOTAL',1,0,'C',1);
 
$pdf->Ln(6);
//Comenzamos a crear las filas de los registros según la consulta mysql
require_once "../modelos/Ingreso.php";
$ingreso = new Ingreso();

$rspta = $ingreso->listar();

//Table with rows and columns
$pdf->SetWidths(array(15,21,25,20,70,20,20));

while($reg= $rspta->fetch_object())
{  
    $idingreso = $reg->idingreso;
    $fecha = $reg->fecha;
    $tipo_comprobante = $reg->tipo_comprobante;
    $num_comprobante = $reg->serie_comprobante.'-'.$reg->num_comprobante;
    $proveedor = $reg->proveedor;
    $usuario = $reg->usuario;
    $total_compra = $reg->total_compra;
 	
 	$pdf->SetFont('Arial','',8.5);
    $pdf->Row(array($idingreso,$fecha,utf8_decode($tipo_comprobante),$num_comprobante,utf8_decode($proveedor),utf8_decode($usuario),$total_compra));
}
 
//Mostramos el documento pdf
$pdf->Output();

?>
<?php
}
else
{
  echo 'No tiene permiso para visualizar el reporte';
}

}
ob_end_flush();
?>